org.eclipse.wst.jsdt.debug.rhino.debugger.shell

## Class DebugShell

- java.lang.Object
- - org.eclipse.wst.jsdt.debug.rhino.debugger.shell.DebugShell

    public final class DebugShell
    extends java.lang.Object

Entry point for launching a Rhino debugger

Since:
  1.0

### Field Summary

Fields
`static java.lang.String` `ARG_PORT` Constant representing the port argument Value is: `-port`
`static java.lang.String` `ARG_SUSPEND` Constant representing the suspend argument Value is: `-suspend`
`static java.lang.String` `ARG_TRACE` Constant representing the trace argument Value is: `-trace`
`static java.lang.String` `DEFAULT_PORT` Constant representing the default port Value is: `9888`

### Constructor Summary

Constructors
Constructor and Description
`DebugShell()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isSuspend(java.lang.String arg)` Returns if the given argument should suspend
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PORT

    public static final java.lang.String DEFAULT_PORT

Constant representing the default port
Value is: `9888`

See Also:
  Constant Field Values

#### ARG_TRACE

    public static final java.lang.String ARG_TRACE

Constant representing the trace argument
Value is: `-trace`

See Also:
  Constant Field Values

#### ARG_SUSPEND

    public static final java.lang.String ARG_SUSPEND

Constant representing the suspend argument
Value is: `-suspend`

See Also:
  Constant Field Values

#### ARG_PORT

    public static final java.lang.String ARG_PORT

Constant representing the port argument
Value is: `-port`

See Also:
  Constant Field Values

### Constructor Detail

#### DebugShell

    public DebugShell()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### isSuspend

    public static boolean isSuspend(java.lang.String arg)

Returns if the given argument should suspend

Parameters:
  `arg` -
Returns:
  `true` if the argument is "true" or "y"